org.apache.felix.ipojo.manipulator.render

## Class MetadataRenderer

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.render.MetadataRenderer

    public class MetadataRenderer
    extends Object

A `MetadataRenderer` renders a given `Element` into a String.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`MetadataRenderer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addMetadataFilter(MetadataFilter filter)` Add a metadata filter
`String` `render(org.apache.felix.ipojo.metadata.Element element)` Generate manipulation metadata.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetadataRenderer

    public MetadataRenderer()

### Method Detail

#### addMetadataFilter

    public void addMetadataFilter(MetadataFilter filter)

Add a metadata filter

Parameters:
  `filter` - added filter

#### render

    public String render(org.apache.felix.ipojo.metadata.Element element)

Generate manipulation metadata.

Parameters:
  `element` - rendered element.
Returns:
  given manipulation metadata + manipulation metadata of the given element.